### Method

# Gio DBusProxy call_finish

since: 2.26

#### Declaration [src]

    GVariant*
    g_dbus_proxy_call_finish (
      GDBusProxy* proxy,
      GAsyncResult* res,
      GError** error
    )

#### Description [src]

Finishes an operation started with g_dbus_proxy_call().

Available since: 2.26

#### Parameters

`res`

  Type: `GAsyncResult`

  A `GAsyncResult` obtained from the `GAsyncReadyCallback` passed to g_dbus_proxy_call().

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GVariant`

`NULL` if `error` is set. Otherwise a `GVariant` tuple with return values. Free with g_variant_unref().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.